Skip to main content

Get Mappings

GET 

/mappings

Returns a list of mappings; available as an Add-On Module

Request

Query Parameters

    siteId string

    Site Identifier

    limit string

    Limit Results

    Default value: 10
    next string

    Next page of results token

Responses

200 OK

Response Headers

  • Access-Control-Allow-Origin

    string

  • Access-Control-Allow-Methods

    string

  • Access-Control-Allow-Headers

    string

Schema

    mappings

    object[]

  • Array [

  • mappingId stringrequired

    Mapping Identifier

    name string

    Name of Mapping

    description string

    Description of Mapping

    attributes

    object[]

    List of attributes

  • Array [

  • oneOf

    Mapping Attribute from document content or content key-value data

    attributeKey stringrequired

    Attribute Key

    sourceType MappingAttributeSourceType (string)required

    Attribute Source Type

    Possible values: [CONTENT, CONTENT_KEY_VALUE, METADATA, MANUAL, DATA_CLASSIFICATION, METADATA_EXTRACTION_RESULT, AI_PROMPT_RESULT, MALWARE_SCAN]

    defaultValue string

    Default value used when no matching value is found

    defaultValues string[]

    Default values used when no matching value is found

    labelTexts string[]required

    Label Texts

    labelMatchingType MappingAttributeLabelMatchingType (string)required

    Attribute Label Matching Type

    Possible values: [FUZZY, EXACT, BEGINS_WITH, CONTAINS]

    validationRegex string

    Attribute Value Regex Validation

  • ]

  • classifications

    object[]

    List of classifications

  • Array [

  • classificationId stringrequired

    Classification Identifier

    conditions

    object[]

    List of classification conditions

  • Array [

  • oneOf

    Mapping Classification Condition

    sourceType MappingClassificationConditionSourceType (string)required

    Classification Condition Source Type

    Possible values: [CONTENT, DATA_CLASSIFICATION, METADATA_EXTRACTION_RESULT, AI_PROMPT_RESULT]

    matchingType MappingClassificationConditionMatchingType (string)required

    Classification Condition Result Matching Type

    Possible values: [EXACT, BEGINS_WITH, CONTAINS]

    text stringrequired

    Text to match against the document content

  • ]

  • ]

  • ]

  • next string

    Next page of results token

Loading...